# coding: utf-8

"""
    URL Shortener API

    This API is responsible of authetication and the creation, modification and deletion of uris and hooks.  # noqa: E501

    OpenAPI spec version: 1.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from api.hook_api import HookApi  # noqa: E501
from swagger_client.rest import ApiException


class TestHookApi(unittest.TestCase):
    """HookApi unit test stubs"""

    def setUp(self):
        self.api = api.hook_api.HookApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_activate_hook(self):
        """Test case for activate_hook

        Activate a hook  # noqa: E501
        """
        pass

    def test_create_hook(self):
        """Test case for create_hook

        Create hook  # noqa: E501
        """
        pass

    def test_deactivate_hook(self):
        """Test case for deactivate_hook

        Deactivate a hook  # noqa: E501
        """
        pass

    def test_delete_hook(self):
        """Test case for delete_hook

        Deletes a hook  # noqa: E501
        """
        pass

    def test_get_hook(self):
        """Test case for get_hook

        Retrieve a hook  # noqa: E501
        """
        pass

    def test_get_hooks_by_uri(self):
        """Test case for get_hooks_by_uri

        Retrieves all the hooks of a URI  # noqa: E501
        """
        pass

    def test_update_hook(self):
        """Test case for update_hook

        Update hook  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
